Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
WxMaxima, x11-libs/wxGTK, and slot?!?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
legacy
Tux's lil' helper
Tux's lil' helper


Joined: 10 Sep 2012
Posts: 144

PostPosted: Sat Jan 26, 2019 9:09 am    Post subject: WxMaxima, x11-libs/wxGTK, and slot?!? Reply with quote

ciao
mi sono imbattuto in qualcosa che non riesco bene a capire

inizialmente avevo compilato x11-libs/wxGTK con gcc v6.4.0, poi ho aggiornato gcc a v7.3.0 e compilato maxima e WxMaxima (suo frontend grafico), la compilazione e' andata a buon fine pero' alla prova del 9 WxMaxima riportava questa faccenda strana

Code:

Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8), and your program used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8).
Aborted


ho aperto questo bug report

cercando di capire il da farsi, ho notato che WxMaxima chiedeva x11-libs/wxGTK slot3, che non ho capito bene cosa significhi visto che l'ebuild x11-libs/wxGTK e' solo slot3, ma che ai fatti

Code:

emerge -1 x11-libs/wxGTK:3.0


ha risolto il problema


qualcuno pero' mi sa spiegare bene il perche' di tutto cio'?


Last edited by legacy on Sat Jan 26, 2019 9:33 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Sat Jan 26, 2019 9:18 am    Post subject: Reply with quote

Praticamente hai bisogno che wxGTK e le applicazioni che usano questa libreria siano compilate con le stesse ABI C++.
Il problema si e' presentato perche' wxGTK e' stato compilato con gcc-6.3 che ha le 1010 ABI C++ mentre WxMaxima e' stato compilato con gcc-7.3 e ABI C++ 1011 e il programma se ne accorge.
Ricompilare le wxGTK con la stessa versione gcc con cui hai compilato WxMaxima risolve il problema.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
legacy
Tux's lil' helper
Tux's lil' helper


Joined: 10 Sep 2012
Posts: 144

PostPosted: Sat Jan 26, 2019 9:31 am    Post subject: Reply with quote

fedeliallalinea wrote:

Ricompilare le wxGTK con la stessa versione gcc con cui hai compilato WxMaxima risolve il problema.


ho l'abitudine di loggare l'env ed i comandi che do in pasto ad emerge; ti posso mostrare il log | grep wxGTK

Code:

2018-07-21--19-49-57 - [ -1 x11-libs/wxGTK ] - success - @2.29.1/6.4.0
2019-01-25--07-37-10 - [ --unmerge x11-libs/wxGTK ] - success - n.a.
2019-01-25--07-39-15 - [ -1 x11-libs/wxGTK ] - success - @2.29.1/7.3.0
2019-01-25--12-29-30 - [ -1 x11-libs/wxGTK:3.0 ] - success - @2.29.1/7.3.0


come vedi non e' andata proprio cosi'; ovvero avevo wxGTK compilato con gcc-v6.4.0, ho fatto --unmerge, e ricompilato con gcc-v7.3.0, ma ancora presentava lo stesso identico problema, che e' sparito solo dopo aver forzato lo slot 3:0

ed e' proprio questo che NON capisco.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Sat Jan 26, 2019 10:25 am    Post subject: Reply with quote

Perche' lanciando solo
Code:
# emerge -1 x11-libs/wxGTK

ti ha ricompilato x11-libs/wxGTK:3.0-gtk3 che non e' la versione che richiede WxMaxima, questo perche' x11-libs/wxGTK:3.0-gtk3 e' considerata una versione piu' alta che x11-libs/wxGTK:3.0.
Code:
# eix wxGTK
[U] x11-libs/wxGTK
     Available versions: 
     (3.0)  3.0.3 3.0.4{tbz2} ~3.0.4-r1
     (3.0-gtk3) 3.0.3-r300 3.0.4-r300 ~3.0.4-r301
       {+X aqua debug doc gstreamer libnotify opengl sdl tiff webkit ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
     Installed versions:  3.0.4(3.0){tbz2}(10:26:54 PM 08/04/2018)(X libnotify opengl sdl tiff -aqua -debug -doc -gstreamer ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32")
     Homepage:            https://wxwidgets.org/
     Description:         GTK+ version of wxWidgets, a cross-platform C++ GUI toolkit
#  emerge -1 x11-libs/wxGTK
[ebuild  NS    ] x11-libs/wxGTK-3.0.4-r300:3.0-gtk3::gentoo [3.0.4:3.0::gentoo] USE="X libnotify opengl sdl tiff (-aqua) -debug -doc -gstreamer -webkit" ABI_X86="(64) -32 (-x32)" 0 KiB

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum